#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_rotationtype, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource


  desc <<-EOD
    log rotation type of a domain or server.

  EOD

  newvalues('absent', 'bySize', 'byTime', 'none')

  maps_to('Log/%{domain_name}/RotationType')
end
