#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password, :parent => Puppet::Parameter::WlsEncryptedProperty) do

  desc <<-EOD
    The bridge password.

    Usage :

        wls_jms_bridge_destination { ....:
          ...
          password => 'clear_text_password',
          ...
        }

    The password string is passed to WebLogic for encryption and then stored in the domain.

  EOD

  maps_to('UserPassword') 

end
