#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:templatename, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Name

  desc <<-EOD
  The template name

  EOD

  maps_to('Template/')

  on_apply do
    apply_paths_with_reference("/JMSSystemResources/#{resource[:jmsmodule]}/JMSResource/#{resource[:jmsmodule]}/Templates", value)
  end
end
