#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:preservemsgproperty, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Specifies if message properties are preserved when messages are forwarded by a bridge instance.

  EOD
  defaultto '0'

  maps_to('PreserveMsgProperty')
end
