#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:datasources, :array_matching => :all, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::ArrayProperty

  desc <<-EOD
  The datasources that are part of the multi datasource

  EOD

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCDataSourceParams/%{multi_datasource_name}/DataSourceList')

  on_apply do
    apply_paths(value.join(','))
  end
end
