#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:arguments, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-EOD
  The server arguments of the server

  EOD

  maps_to('ServerStart/%{template_name}/Arguments')

  def should=(values)
    values = values.flatten.join("\n") if values.is_a?(Array)
    @should = values
  end

  def should
    return nil unless defined?(@should)
    @should
  end

  def insync?(is)
    is == @should
  end
end
