#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Type.type(:wls_deployment).provide(:simple) do
  include EasyType::Provider

  confine :exists => "/etc/wls_setting.yaml"
  confine :feature => :weblogic_running

  desc 'Manage a deployment in an WebLogic domain via regular WLST'
  mk_resource_methods
end
