#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:globaltransactionsprotocol, :parent => Puppet::Parameter::WlsProperty) do


  desc <<-EOD
    The global Transactions Protocol.

  EOD
  newvalues('TwoPhaseCommit', 'EmulateTwoPhaseCommit', 'OnePhaseCommit', 'LoggingLastResource', 'None')
  defaultto 'TwoPhaseCommit'

  maps_to('JDBCResource/%{datasource_name}/JDBCDataSourceParams/%{datasource_name}/GlobalTransactionsProtocol')

end
