#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:domain_partition_name) do
  include EasyType
  include EasyType::Validators::Name

  isnamevar

  desc <<-EOD
  The domain partition group name.
  EOD

  to_translate_to_resource do | raw_resource|
    raw_resource['domain_partition_name']
  end

end

child_of(:wls_domain_partition, :domain_partition_name) { "#{domain}/#{domain_partition_name}" }
