#
# See the file "LICENSE" for the full license governing this code.
#
module ForeignServerObjectProperty
  def actual_paths(resource)
    wls_path.collect do |p| 
      path = case resource[:object_type]
      when :destination
        "#{type_path}/ForeignDestinations/#{resource[key_name]}/#{p}"
      when :connectionfactory
        "#{type_path}/ForeignConnectionFactories/#{resource[key_name]}/#{p}"
      else 
        fail 'internal error'
      end
      path % resource
    end
  end
end
