#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_redirect_stdout_to_server, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
    When enabled, this redirects the stdout of the JVM in which a WebLogic Server instance runs, to the WebLogic logging system.

  EOD

  maps_to('Log/%{server_name}/RedirectStdoutToServerLogEnabled')

end
